# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global momorel 2

Name:           python-nss
Version:        0.8
Release:        %{momorel}m%{?dist}
Summary:        Python bindings for Network Security Services (NSS)

Group:          Development/Languages
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot/mozilla/security/python/nss
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define docdir %{_docdir}/%{name}-%{version}

BuildRequires: python-devel
BuildRequires: python-setuptools-devel
BuildRequires: epydoc
BuildRequires: python-docutils
BuildRequires: nspr-devel
BuildRequires: nss-devel


%description
This package provides Python bindings for Network Security Services
(NSS) and the Netscape Portable Runtime (NSPR).

NSS is a set of libraries supporting security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards. Specific NSS
implementations have been FIPS-140 certified.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%{__python} setup.py build_doc


%install
rm -rf %{buildroot}
%{__python} setup.py install  -O1 --install-platlib %{python_sitearch} --skip-build --root %{buildroot}
%{__python} setup.py install_doc --docdir %{docdir} --skip-build --root %{buildroot}

# Include httplib ported to NSS as example
cp lib/httplib.py %{buildroot}/%{docdir}/examples

# Include digest and cipher tests as example
cp test/digest_test.py %{buildroot}/%{docdir}/examples
cp test/cipher_test.py %{buildroot}/%{docdir}/examples

# Remove execution permission from any example scripts
find %{buildroot}/%{docdir}/examples -type f | xargs chmod a-x

# Set correct permissions on .so files
chmod 0755 %{buildroot}/%{python_sitearch}/nss/*.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{docdir}
%{python_sitearch}/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-2m)
- full rebuild for mo7 release

* Thu May  6 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-1m)
- initial commit Momonga Linux . import from fedora

